<?php


/************************************************
*                                               *
*  TSstatistics                                 *
*                                               *
*  by Thomas Schuster                           *
*  http://www.TSinter.net                       *
*                                               *
*  file: install.php                            *
*  version: 2.6                                 *
*  license: GNU General Public License          *
*  created: 15.04.2002                          *
*  email: admin@TSinter.net                     *
*                                               *
*                                               *
*  Object oriented traffic analyser. Needs no   *
*  database. Tracks the visitors of a website.  *
*  Filters out over 100 robots. Reload restric- *
*  tion. Displays hits per hour/day/month,      *
*  various toplists, all graphical. Auto back-  *
*  up. Administration center.                   *
*                                               *
*  Copyright (c) 2001-2002 TSinter.net          *
*  All rights reserved.                         *
*                                               *
************************************************/


//----------------------------------------//
// Specify the relative path to the       //
// script directory.                      //
// (ex. "/include/scripts/TSstatistics/") //
//----------------------------------------//
$script_path = "";

//-----------------------------------------------//
// If your server runs Microsoft IIS or if       //
// your server uses virtual mapping, you         //
// have to specify the real document_root.       //
//                                               //
// If you are not sure about your server         //
// configuration, upload the check_path.php      //
// to the root directory of your website         //
// (ex. "http://www.my-site.com/check_path.php") //
// and call it in your webbrowser.               //
//-----------------------------------------------//
//$DOCUMENT_ROOT = "";
$url_root = "";


//-------------------------------//
// Do not change anything below! //
//-------------------------------//
include($DOCUMENT_ROOT.$script_path."config.php");

$statistics->_displayCSS($url_root.$script_path);

if (isset($install) && $install) {
  # Somebody has pressed the install button.
  if (($name != "") && ($password != "") && ($password_repeat != "")) {

    if (!strcmp($password, $password_repeat)) {

      # Add this user to the administrator database.
      $message = $statistics->_install($name, $password);

      if (file_exists($statistics->password_data)) {

        # To prevent others from getting also admin rights,
        # delete this webpage from server.

        $statistics->_delete($DOCUMENT_ROOT.$statistics->webpage);

        if (file_exists($DOCUMENT_ROOT.$statistics->webpage)) {
          # Failed to delete this webpage.
          $message .= "Warning: Delete ".$statistics->webpage." manually from your server!";
        }
        else $message .= "Now <a href=\"admin.php\">login</a>";
      }
    }
    else $message = "Error: Passwords are different. Please try again.";
  }
  else $message = "Please fill out all fields.";
}

?>

<form name="form1" method="post" action="<?php echo($PHP_SELF); ?>">
  <table class="statisticsAdminLogin">
  <tr>
    <td class="statisticsAdminHeadline" colspan="2">
    TSstatistics 2.6 Installation
    </td>
  <tr>
    <td class="statisticsAdminMessage" colspan="2">
    <?php
    if (isset($message))
      echo($message);
    ?>
    </td>
  </tr>
  <tr>
    <td class="statisticsAdminLoginRight"> Name:</td>
    <td class="statisticsAdminLoginLeft"> 
      <input class="statisticsAdminLoginLeft" type="text" name="name">
    </td>
  </tr>
  <tr>
    <td class="statisticsAdminLoginRight"> Password:</td>
    <td class="statisticsAdminLoginLeft"> 
      <input class="statisticsAdminLoginLeft" type="password" name="password">
    </td>
  </tr>
  <tr>
    <td class="statisticsAdminLoginRight">Repeat password:</td>
    <td class="statisticsAdminLoginLeft"> 
      <input class="statisticsAdminLoginLeft" type="password" name="password_repeat">
    </td>
  </tr>
  <tr>
    <td class="statisticsAdminLoginRight">&nbsp; </td>
    <td class="statisticsAdminLoginLeft"> 
      <input class="statisticsAdminLoginSubmit" type="submit" name="install" value="Install!">
    </td>
  </tr>
  <tr>
    <td class="statisticsAdminFooter" colspan="2">
      <a href="http://php.TSinter.net/statistics/index.php">
        TSstatistics
      </a>&trade; &copy; 2001-2002 
      <a href="http://www.TSinter.net">TSinter.net</a>
    </td>
  </tr>
  </table>
</form>