<?php


/************************************************
*                                               *
*  TSstatistics                                 *
*                                               *
*  by Thomas Schuster                           *
*  http://www.TSinter.net                       *
*                                               *
*  file: demo.php                               *
*  version: 2.6                                 *
*  license: GNU General Public License          *
*  created: 15.04.2002                          *
*  email: admin@TSinter.net                     *
*                                               *
*                                               *
*  Object oriented traffic analyser. Needs no   *
*  database. Tracks the visitors of a website.  *
*  Filters out over 100 robots. Reload restric- *
*  tion. Displays hits per hour/day/month,      *
*  various toplists, all graphical. Auto back-  *
*  up. Administration center.                   *
*                                               *
*  Copyright (c) 2001-2002 TSinter.net          *
*  All rights reserved.                         *
*                                               *
************************************************/


//----------------------------------------//
// Specify the relative path to the       //
// script directory.                      //
// (ex. "/include/scripts/TSstatistics/") //
//----------------------------------------//
$script_path = "";

//-----------------------------------------------//
// If your server runs Microsoft IIS or if       //
// your server uses virtual mapping, you         //
// have to specify the real document_root.       //
//                                               //
// If you are not sure about your server         //
// configuration, upload the check_path.php      //
// to the root directory of your website         //
// (ex. "http://www.my-site.com/check_path.php") //
// and call it in your webbrowser.               //
//-----------------------------------------------//
//$DOCUMENT_ROOT = "";
$url_root = "";



//-------------------------------//
// Do not change anything below! //
//-------------------------------//
include($DOCUMENT_ROOT.$script_path."config.php");


// html head
echo('<html>');
echo('<head>');
echo('<title>TSstatistics (C) 2001-2002 TSinter.net</title>');

$statistics->_displayCSS($url_root.$script_path);
$statistics->_definePopUpWindow();

echo('</head>');



// get the tracks
if (!isset($start))
  $start = 1;

if (!isset($count))
  $count = 10;

$track = $statistics->_getUserTracks($track_data, $start, $count);



// output
echo('<center>');
echo('<table>');


/* start headline */
echo('  <tr>');
echo('    <td class="statisticsTrackLinks" colspan="2">');
echo('      Track '.$start.' - '.($start + $count - 1).' ');
echo('      '.$statistics->string["toplist_head"]["of_string"].' '. $track["total"]);
echo('    </td>'); 

if ($start > 1) {
  echo('  <td class="statisticsTrackLinks">');
  echo('    <a href="#" onClick="popup('."'tracking.php?track_data=".$track_data."&amp;start=".($start - 10)."'");
  echo("                               , 'UserTrack', 550, 600); return false\">");
  echo('      previous '.$count);
  echo('    </a>');
  echo('  </td>');
}

echo('    <td class="statisticsTrackLinks">');
echo('      <a href="#" onClick="popup('."'tracking.php?track_data=".$track_data."&amp;start=".($start + 10)."'");
echo("                               , 'UserTrack', 550, 600); return false\">");
echo('        next '.$count);
echo('      </a>');
echo('    </td>');

echo('    </td>');
echo('  </tr>');
/* end headline */


/* start user track */
for ($i = 0; $i < sizeof($track) - 1; $i++) {

  echo('<tr>');
  echo('  <td class="statisticsTrackHeadlineNr">');
  echo('    '.($start + $i));
  echo('  </td>');
  echo('  <td  class="statisticsTrackHeadline">');
  echo('    IP: '.$track[$i]["ip"]);
  echo('  </td>');
  echo('  <td class="statisticsTrackHeadline" colspan="2">');
  echo('    '.$track[$i]["time"]);
  echo('  </td>');
  echo('</tr>');

  for ($j = 0; $j < sizeof($track[$i]["page"]); $j++) {

    echo('<tr>');
    echo('  <td class="statisticsTrackPageNr">');
    echo('    '.($j + 1));
    echo('  </td>');
    echo('  <td class="statisticsTrackPage" colspan="3">');
    echo('    '.$track[$i]["page"][$j]);
    echo('  </td>');
    echo('</tr>');
  }
}
/* end user track */


/* start footer */
echo('  <tr>');
echo('    <td class="statisticsTrackLinks" colspan="2">');
echo('      Track '.$start.' - '.($start + $count - 1).' ');
echo('      '.$statistics->string["toplist_head"]["of_string"].' '. $track["total"]);
echo('    </td>'); 

if ($start > 1) {
  echo('  <td class="statisticsTrackLinks">');
  echo('    <a href="#" onClick="popup('."'tracking.php?track_data=".$track_data."&amp;start=".($start - 10)."'");
  echo("                               , 'UserTrack', 550, 600); return false\">");
  echo('      previous '.$count);
  echo('    </a>');
  echo('  </td>');
}

echo('    <td class="statisticsTrackLinks">');
echo('      <a href="#" onClick="popup('."'tracking.php?track_data=".$track_data."&amp;start=".($start + 10)."'");
echo("                               , 'UserTrack', 550, 600); return false\">");
echo('        next '.$count);
echo('      </a>');
echo('    </td>');

echo('    </td>');
echo('  </tr>');
/* end footer */


echo('</table>');
echo('</center>');


?>